Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.serializer
Class GenericToStringSerializer<T>

    java.lang.Object
      org.springframework.data.redis.serializer.GenericToStringSerializer<T>

All Implemented Interfaces:
  Aware, BeanFactoryAware, RedisSerializer<T>

    public class GenericToStringSerializer<T>

extends Object
implements RedisSerializer<T>, BeanFactoryAware

Generic String to byte[] (and back) serializer. Relies on the Spring `ConversionService` to transform objects into String and vice versa. The Strings are convert into bytes and vice-versa using the specified charset (by default UTF-8). Note: The conversion service initialization happens automatically if the class is defined as a Spring bean. Note: Does not handle nulls in any special way delegating everything to the container.

Constructor Summary
`GenericToStringSerializer(Class<T> type)`
`GenericToStringSerializer(Class<T> type, Charset charset)`

Method Summary
`T` | `deserialize(byte[] bytes)` Deserialize an object from the given binary data.
`byte[]` | `serialize(T object)` Serialize the given object to binary data.
`void` | `setBeanFactory(BeanFactory beanFactory)`
`void` | `setConversionService(ConversionService conversionService)`
`void` | `setTypeConverter(TypeConverter typeConverter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericToStringSerializer

    public GenericToStringSerializer(Class<T> type)

### GenericToStringSerializer

    public GenericToStringSerializer(Class<T> type,
                                     Charset charset)

Method Detail

### setConversionService

    public void setConversionService(ConversionService conversionService)

### setTypeConverter

    public void setTypeConverter(TypeConverter typeConverter)

### deserialize

    public T deserialize(byte[] bytes)

  Description copied from interface: `RedisSerializer`
  Deserialize an object from the given binary data.

  Specified by:
    `deserialize` in interface `RedisSerializer<T>`
  Parameters:
    `bytes` - object binary representation
  Returns:
    the equivalent object instance

### serialize

    public byte[] serialize(T object)

  Description copied from interface: `RedisSerializer`
  Serialize the given object to binary data.

  Specified by:
    `serialize` in interface `RedisSerializer<T>`
  Parameters:
    `object` - object to serialize
  Returns:
    the equivalent binary data

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

  Specified by:
    `setBeanFactory` in interface `BeanFactoryAware`
  Throws:
    `BeansException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD